main.container {
  max-width: 685px;
  margin-bottom: 50px;
}

.footer div {
  width: 100%;
}
.footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  line-height: 50px;
}
#collapse-footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 50px;
  line-height: 48px;
  border-top: #000;
}

.toggle-footer i {
  bottom: 0px;
  font-size: 1.4em;
  position: fixed;
  cursor: pointer;
  z-index: 1511;
  margin-left: -10px;
}

.copyright {
  font-size: .7em;
}

.bg-darker {
  background-color: #212529 !important;
}
.search-input, .direct-link-input {
  box-shadow: inset 3px 3px 10px #000;
}

.search-icon {
  max-height: 24px;
  max-width: 24px;
  width: 24px;
}
.linksrow {
  margin-top: -5px;
  margin-bottom: -5px;
}
.linkbox {
  height: 40px;
  width: 40px;
  border: 1px solid #f8f9fa;
  border-radius: 5px;
  box-shadow: inset 3px 3px 10px #000;
  margin: 5px;
  cursor: pointer;
}
.linkbox.linkbox-addnew {
  box-shadow: none !important;
  text-align: center;
  line-height: 40px;
  color: #f8f9fa;
}
.linkbox.linkbox-addnew:hover {
  background-color: #f8f9fa;
  color: #343a40;
}

.linkbox a {
  width: 100%;
  height: 100%;
}

.sortable-placeholder {
  background-color: #343a40;
  height: 40px;
  width: 40px;
  border: 1px solid #343a40;
  border-radius: 5px;
  box-shadow: 3px 3px 10px #000;
  margin-right: 8px;
  margin-bottom: 8px;
}

.clear-input {
  cursor: pointer;
}

.clear-input .input-group-text {
  border-left: none;
}

#context-menu {
  z-index: 1156;
}

#context-menu .dropdown-item {
  cursor: pointer;
}

#notes .card {
  border: 1px solid #f8f9fa;
  border-radius: 5px;
}
#notes .card .card-header {
  border-bottom: 0;
}
#note-header h5 div {
  text-decoration: none;
  cursor: pointer;
  box-shadow: inset 3px 3px 10px #000;
  border-radius: 5px;
}
#note-content .form-group textarea.form-control {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-left: 0;
  border-right: 0;
  border-bottom: 0;
}
textarea {
  box-sizing: border-box;
  resize: none;
}
.colorpicker-button {
  cursor: pointer;
}
.randomize-color-button {
  cursor: pointer;
}
.save-icon {
  position: absolute;
  padding: 0;
  top: 5px;
  /*left: 50%;*/
  right: 5px;
  margin-left: -20px;
  font-size: 1.5em;
  display: none;
  z-index: 1000;
  width: 38px;
  text-align: center;
  border-radius: 5px;
  box-shadow: 3px 3px 10px #000;
}
canvas {
  position: fixed;
  top: 0;
}
